package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class BoxSkuBean  implements Parcelable {
    private String goods_id = ""; //
    private String sku = ""; //
    private String file_name = ""; //
    private String url = ""; //
    private String remark = ""; //
    private String need_photo = ""; //
    private String type = ""; //

    public BoxSkuBean(){

    }

    public String getGoodsId() {
        return goods_id;
    }

    public void setGoodsId(String goods_id) {
        this.goods_id = goods_id;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getFileName() {
        return file_name;
    }

    public void setFileName(String file_name) {
        this.file_name = file_name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getNeedPhoto() {
        return need_photo;
    }

    public void setNeedPhoto(String need_photo) {
        this.need_photo = need_photo;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public static Creator<BoxSkuBean> getCREATOR() {
        return CREATOR;
    }

    protected BoxSkuBean(Parcel in) {
        goods_id = in.readString();
        sku = in.readString();
        file_name = in.readString();
        url = in.readString();
        remark = in.readString();
        need_photo = in.readString();
        type = in.readString();
    }

    public static final Creator<BoxSkuBean> CREATOR = new Creator<BoxSkuBean>() {
        @Override
        public BoxSkuBean createFromParcel(Parcel in) {
            return new BoxSkuBean(in);
        }

        @Override
        public BoxSkuBean[] newArray(int size) {
            return new BoxSkuBean[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(goods_id);
        parcel.writeString(sku);
        parcel.writeString(file_name);
        parcel.writeString(url);
        parcel.writeString(remark);
        parcel.writeString(need_photo);
        parcel.writeString(type);
    }
}
